%global with_wicket 0
Name:          kryo-serializers
Version:       0.26
Release:       11%{?dist}
Summary:       Additional kryo serializers
License:       ASL 2.0
URL:           https://github.com/magro/kryo-serializers
Source0:       https://github.com/magro/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(cglib:cglib)
BuildRequires: mvn(com.esotericsoftware.kryo:kryo)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-simple)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.testng:testng)

%if %with_wicket
# Disable Apache Wicket support
BuildRequires: mvn(org.apache.wicket:wicket-core)
# Test deps
BuildRequires: mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_2.5_spec)
%endif

BuildArch:     noarch

%description
Additional kryo (http://kryo.googlecode.com) serializers for
standard JDK types (e.g. currency, JDK proxies) and
some for external libraries (e.g. JODA TIME, CGLIB proxies, Wicket).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
find -name '*.class' -print -delete
find -name '*.jar' -print -delete

%pom_remove_plugin :findbugs-maven-plugin

%if !%with_wicket
%pom_remove_dep org.apache.wicket:wicket
%pom_remove_dep javax.servlet:servlet-api
rm -r src/main/java/de/javakaffee/kryoserializers/wicket \
 src/test/java/de/javakaffee/kryoserializers/wicket
%else
%pom_change_dep javax.servlet:servlet-api org.jboss.spec.javax.servlet:jboss-servlet-api_2.5_spec
%pom_change_dep :wicket :wicket-core
%endif

%mvn_file de.javakaffee:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.markdown
%license LICENCE.txt

%files javadoc -f .mfiles-javadoc
%license LICENCE.txt

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.26-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.26-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.26-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.26-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.26-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.26-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.26-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Aug 09 2015 gil cattaneo <puntogil@libero.it> 0.26-4
- fix FTBFS rhbz#1239633
- introduce license macro

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 9 2013 Timothy St. Clair <tstclair@redhat.com> 0.26-1
- Update to the latest version which fixes licensing and dependency issues

* Tue Oct 8 2013 Timothy St. Clair <tstclair@redhat.com> 0.23-4
- Update source line from review with comment on change

* Tue Oct 8 2013 Timothy St. Clair <tstclair@redhat.com> 0.23-3
- Remove non-compliant sources from tarball.

* Mon Oct 7 2013 Timothy St. Clair <tstclair@redhat.com> 0.23-2
- Removed shaded classifier to get ready to submit for review. 

* Sun Sep 29 2013 gil cattaneo <puntogil@libero.it> 0.23-1
- initial rpm
